Bug 215258 - Review Request: clucene - A C++ port of Lucene
Review Request: clucene - A C++ port of Lucene
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-11-12 19:42 EST by Deji Akingunola
Modified: 2010-07-01 13:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-21 22:33:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Deji Akingunola 2006-11-12 19:42:14 EST
Spec URL: ftp://czar.eas.yorku.ca/pub/clucene/clucene.spec
SRPM URL: ftp://czar.eas.yorku.ca/pub/clucene/clucene-0.9.15-1.src.rpm
Description: 
CLucene is a C++ port of Lucene.
It is a high-performance, full-featured text search 
engine written in C++. CLucene is faster than lucene
as it is written in C++
Comment 1 Jochen Schmitt 2006-11-13 15:01:19 EST
Good:
+ Local Build works fine.
+ Package contains verbain copy of the license.
+ Mock build works fine.

Bad:
- Rpmlint complaints on soure RPM:
W: clucene non-standard-group Software Development
- Rrplint complaints on binary RPM:
W: clucene non-standard-group Software Development
E: clucene zero-length /usr/share/doc/clucene-0.9.15/ChangeLog
E: clucene library-without-ldconfig-postin /usr/lib/libclucene.so.0.0.0
E: clucene library-without-ldconfig-postun /usr/lib/libclucene.so.0.0.0
E: clucene zero-length /usr/share/doc/clucene-0.9.15/NEWS
- Rpmlint complaints on devel RPM:
W: clucene-devel summary-ended-with-dot Headers for developing programs that
will use clucene.
E: clucene-devel only-non-binary-in-usr-lib
W: clucene-devel no-documentation
- Rpmlint complaints on installed RPM:
W: clucene non-standard-group Software Development
E: clucene zero-length /usr/share/doc/clucene-0.9.15/ChangeLog
E: clucene library-without-ldconfig-postin /usr/lib/libclucene.so.0.0.0
E: clucene library-without-ldconfig-postun /usr/lib/libclucene.so.0.0.0
E: clucene zero-length /usr/share/doc/clucene-0.9.15/NEWS
- Cant download source from given URL in Source0
Comment 2 Deji Akingunola 2006-11-13 16:58:22 EST
Thanks for the review Jochen. Have fixed the various issues, new files are here;
Spec URL: ftp://czar.eas.yorku.ca/pub/clucene/clucene.spec
SRPM URL: ftp://czar.eas.yorku.ca/pub/clucene/clucene-0.9.15-2.src.rpm
Comment 3 Jochen Schmitt 2006-11-20 11:44:12 EST
Good:
+ Rpmlint is quite on source rpm.
+ Local build works fine.
* Rpmlint is quited on the binary rpms.
* Local install and uninstall works fine.
* Tar ball matches with the upstream version.
* build in mock works fine.


Bad:
- Why does the package the file APACHE.license and COPYING. The Lincennse tag
says the LGPL as the license for the package. A clarification may be nice.
- Try to run ./cl_test in the test directory in the check stanza. I have try
myself and was wondering why cl_test was not generate. Please forward this to
the upsteam.
- Perhaps the devel rpm should contains some documentation for developers.

Comment 4 Deji Akingunola 2006-11-20 14:20:52 EST
> Bad:
> - Why does the package the file APACHE.license and COPYING. The Lincennse tag
> says the LGPL as the license for the package. A clarification may be nice.

I guess I can leave out packaging the APACHE.license file since we've already
chosen LGPL, the COPYING file provides the clarification you were asking for.
Basically that the software includes both APACHE and LGPL licenses and one can
choose any of the 2, but the LGPL is preferred and recommended.

> - Try to run ./cl_test in the test directory in the check stanza. I have try
> myself and was wondering why cl_test was not generate. Please forward this to
> the upsteam.

I think it's intentional not to build the test stuff by default (IMHO, neither
should we do it for Fedora packaging effort). People who are interested in
running the test can grab the source (src rpm) and 'make check' in the test
directory.

> - Perhaps the devel rpm should contains some documentation for developers.
>
ok, i've packaged those that comes with the software.

Spec URL: ftp://czar.eas.yorku.ca/pub/clucene/clucene.spec
SRPM URL: ftp://czar.eas.yorku.ca/pub/clucene/clucene-0.9.15-3.src.rpm
 

Comment 5 Deji Akingunola 2006-12-01 19:04:26 EST
Hi Jochen,

Any reason why we're not moving forward on this?
Comment 6 Jochen Schmitt 2006-12-03 15:06:17 EST
I think, it better to have a %check stanza which conatins the 'make check'
statement.

This may be halpful to get a minimum QA during any update of the package on the
differents plattforms.

Comment 7 Deji Akingunola 2006-12-07 11:02:58 EST
Ok, I've updated to the latest stable release and added a make check in the build.

Spec URL: ftp://czar.eas.yorku.ca/pub/clucene/clucene.spec
SRPM URL: ftp://czar.eas.yorku.ca/pub/clucene/clucene-0.9.16a-1.src.rpm
Comment 8 Jochen Schmitt 2006-12-07 14:14:08 EST
God:
+ Tarball match with upstream version.

Bad:
- You shuld but INSTALL='%{_bindir}/install -c -p' into the make install line to
prevents the timestamps.
Comment 9 Deji Akingunola 2006-12-07 15:02:20 EST
> Bad:
> - You shuld but INSTALL='%{_bindir}/install -c -p' into the make install line to
> prevents the timestamps.

Is this a new packaging requirement? I've never seen anywhere in the guildelines
where it says this should be done.
Comment 10 Jochen Schmitt 2006-12-07 15:09:58 EST
(In reply to comment #9)

> Is this a new packaging requirement? I've never seen anywhere in the guildelines
> where it says this should be done.

No, this is not an official requirement, but it may helpfule to preserve the
timestamps of the files which will be go unmodified into a package. Please see
B/ #174377.
Comment 11 Deji Akingunola 2006-12-07 15:28:09 EST
Since this is not official, I don't think it should block this being accepted.
I've seen the bug you pointed to, but it isn't clear why/how helpful doing that
is. Besides, I've rarely seen this INSTALL option purposefully used in the
Fedora sphere. 
Comment 12 Jochen Schmitt 2006-12-10 13:46:09 EST
OK, I don't want to block you, so you package will be APPROVED. But it will be 
nice if you can implement my suggestion into your package.
Comment 13 Deji Akingunola 2006-12-10 15:50:51 EST
Not wanting to argue with you, but I'll point out to you from the B/ #174377 you
referred me to (and from your words in comment #10), that using the timestamp
option is only necessary for file that go unmodified into the package. And for
such files in clucene, you'll noticed I'd already used the copy command with
timestamp option (cp -pr) in the rpm spec, so that should be sufficient for this
package. 
Comment 14 Deji Akingunola 2006-12-12 23:22:18 EST
Hi Jochen,

Would you please go ahead with the approval; a package I'm intending to submit
for reviews is waiting on it. Thanks
Comment 15 Jochen Schmitt 2006-12-13 10:48:31 EST
On #12 I have APPROVED !!! your package.
Comment 16 Jochen Schmitt 2006-12-13 10:48:50 EST
On #12 I have APPROVED !!! your package.
Comment 17 Deji Akingunola 2006-12-13 11:11:49 EST
Oh, thanks. However, you should have changed the blocker bug from FE-REVIEW to
FE-ACCEPT (bz #163779). I'm doing so on your behalf now.
Comment 18 Jochen Schmitt 2006-12-13 12:47:08 EST
Sorry, I have forgotten to change to FE-ACCEPT
Comment 19 Kevin Fenzi 2006-12-21 22:33:49 EST
This package appears to have been accepted, imported and built. 
This bug should be closed NEXTRELEASE. 

I am going to go ahead and do so. If I am in error, please reopen. 
Comment 20 Deji Akingunola 2009-10-24 00:12:26 EDT
Package Change Request
======================
Package Name: clucene
New Branches: EL-5
Owners: deji
Comment 21 Kevin Fenzi 2009-10-26 16:20:26 EDT
cvs done.
Comment 22 Deji Akingunola 2010-07-01 09:04:32 EDT
Package Change Request
======================
Package Name: clucene
New Branches: EL-4
Owners: deji
Comment 23 Jason Tibbitts 2010-07-01 13:30:22 EDT
CVS done (by process-cvs-requests.py).

Note You need to log in before you can comment on or make changes to this bug.